Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs.optional.net
Class TelnetTask

    java.lang.Object
      |
      +--org.apache.tools.ant.Task
            |
            +--org.apache.tools.ant.taskdefs.optional.net.TelnetTask

public class TelnetTask
extends Task

Class to provide automated telnet protocol support for the Ant build tool

Version:
  $Revision: 1.2 $
Author:
  Scott CarlsonScottCarlson@email.com

Inner Class Summary
`class` | `TelnetTask.AntTelnetClient` This class handles the abstraction of the telnet protocol.
`class` | `TelnetTask.TelnetRead` This class reads the output from the connected server until the required string is found.
`class` | `TelnetTask.TelnetSubTask` This class is the parent of the Read and Write tasks.
`class` | `TelnetTask.TelnetWrite` This class sends text to the connected server

Fields inherited from class org.apache.tools.ant.Task
`description, location, project, target, taskName, taskType, wrapper`

Constructor Summary
`TelnetTask()`

Method Summary
`TelnetTask.TelnetSubTask` | `createRead()` A subTask tag was found.
`TelnetTask.TelnetSubTask` | `createWrite()` A subTask tag was found.
`void` | `execute()` Verify that all parameters are included.
`void` | `setInitialCR(boolean b)` Set the tcp port to connect to attribute
`void` | `setPassword(java.lang.String p)` Set the password attribute
`void` | `setPort(int p)` Set the tcp port to connect to attribute
`void` | `setServer(java.lang.String m)` Set the server address attribute
`void` | `setTimeout(java.lang.Integer i)` Change the default timeout to wait for valid responses
`void` | `setUserid(java.lang.String u)` Set the userid attribute

Methods inherited from class org.apache.tools.ant.Task
`getDescription, getLocation, getOwningTarget, getProject, getRuntimeConfigurableWrapper, getTaskName, init, log, log, maybeConfigure, setDescription, setLocation, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TelnetTask

    public TelnetTask()

Method Detail

### execute

    public void execute()
                 throws BuildException

  Verify that all parameters are included. Connect and possibly login Iterate through the list of Reads and writes
  Overrides:
    `execute` in class `Task`
  Following copied from class: `org.apache.tools.ant.Task`
  Throws:
    `BuildException` - if someting goes wrong with the build

### setUserid

    public void setUserid(java.lang.String u)

  Set the userid attribute

### setPassword

    public void setPassword(java.lang.String p)

  Set the password attribute

### setServer

    public void setServer(java.lang.String m)

  Set the server address attribute

### setPort

    public void setPort(int p)

  Set the tcp port to connect to attribute

### setInitialCR

    public void setInitialCR(boolean b)

  Set the tcp port to connect to attribute

### setTimeout

    public void setTimeout(java.lang.Integer i)

  Change the default timeout to wait for valid responses

### createRead

    public TelnetTask.TelnetSubTask createRead()

  A subTask tag was found. Create the object, Save it in our list, and return it.

### createWrite

    public TelnetTask.TelnetSubTask createWrite()

  A subTask tag was found. Create the object, Save it in our list, and return it.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache Software Foundation. All Rights Reserved.